class AccountRib < ActiveRecord::Base
  belongs_to :product_customer

  mount_uploader :scan_file, RibUploader
  
  validates :bank_name, :presence => true
  validates :bank_city, :presence => true
  validates :country, :presence => true
  validates :name, :presence => true
  validates :address, :presence => true
  validates :tva_number, :presence => true, :if => :tva?
  validates :cp, :presence => true
  validates :city, :presence => true
  validates :iban, :presence => true
  validates :bic, :presence => true
  
  
  
end
