class AddBackgroundToBlockContents < ActiveRecord::Migration
  def change
    add_reference :block_contents, :image_file, index: true
    add_foreign_key :block_contents, :image_files
    add_column :block_contents, :margin_top, :integer
    add_column :block_contents, :margin_bottom, :integer
    add_column :block_contents, :margin_left, :integer
    add_column :block_contents, :margin_right, :integer
    add_column :block_contents, :padding_top, :integer
    add_column :block_contents, :padding_bottom, :integer
    add_column :block_contents, :padding_left, :integer
    add_column :block_contents, :padding_right, :integer
    add_column :block_contents, :parallax, :boolean
    add_column :block_contents, :center, :boolean
    add_column :block_contents, :center_width, :integer
    add_column :block_contents, :background_color, :string
    add_column :block_contents, :gradient_start, :string
    add_column :block_contents, :gradient_stop, :string
  end
end
