


xml.instruct! :xml, :version => "1.0" 
xml.rss :version => "2.0" do
  xml.channel do
    xml.title "Blog de Nicolas Bally"
    xml.description ""
    xml.link "http://blog.nicolasbally.com"

    for article in @articles
      xml.item do
        xml.title article.title
        xml.description( (image_tag(article.image_file.file.large.medium.small.url) if article.image_file).to_s+simple_format(article.description))
        xml.pubDate article.published_at.to_s(:rfc822)
        xml.link article_url(:slug => article.slug)
        xml.guid article_url(:slug => article.slug)
      end
    end
  end
end

